package gonganxitong

import (
	"shylinux.com/x/ice"
	kit "shylinux.com/x/toolkits"

	"shylinux.com/x/community/src/gonganxitong/model"
)

type command struct {
	Table
	update string `name:"update service_uid icon name index"`
}

func (s command) Update(m *ice.Message, arg ...string) {
	uid := kit.Hashs(m.Option(model.SERVICE_UID), m.Option(model.INDEX))
	if s.Table.Select(m.Spawn(), model.UID, uid).Length() == 0 {
		s.Table.Create(m, kit.Simple(model.UID, uid, m.OptionSimple(model.SERVICE_UID, model.INDEX))...)
	}
	s.Table.Update(m, kit.Dict(arg), model.UID, uid)
	m.SetResult().Echo(uid)
}

func init() { ice.TeamCtxCmd(command{}) }
