package gonganxitong

import "shylinux.com/x/ice"

type place struct{ Table }

func init() { ice.TeamCtxCmd(place{}) }

type PlaceType int

const (
	PlaceHouse PlaceType = iota
	PlaceHotel
	PlaceStore
	PlaceSchool
	PlaceOffice
	PlacePublic
	PlaceFactory
	PlaceHospital
)

var PlaceTypeList = map[PlaceType]string{
	PlaceHouse:    "house",
	PlaceHotel:    "hotel",
	PlaceStore:    "store",
	PlaceSchool:   "school",
	PlaceOffice:   "office",
	PlacePublic:   "public",
	PlaceFactory:  "factory",
	PlaceHospital: "hospital",
}

func (s PlaceType) String() string { return PlaceTypeList[s] }
