package gonganxitong

import (
	"shylinux.com/x/ice"

	"shylinux.com/x/community/src/gonganxitong/model"
)

type qrcode struct {
	Tables
	portal Portal
	order  string `data:"90"`
	role   string `data:"creator"`
	apply  string `name:"apply" role:"void"`
}

func (s qrcode) Apply(m *ice.Message, arg ...string) {
	s.info(m, arg[0], "apply")
	m.Option(ice.MSG_FG, "blue")
	m.EchoQRCode(s.Link(m, arg[0]))
}
func (s qrcode) List(m *ice.Message, arg ...string) {
	s.info(m, arg[0], "portal")
	m.EchoQRCode(m.MergePodCmd("", s.Prefix(m, s.portal), s.Keys(s.Place, model.UID), arg[0]))
}

func init() { ice.TeamCtxCmd(qrcode{Tables: newTables()}) }

func (s qrcode) info(m *ice.Message, place_uid, typ string) {
	m.Cmdy(s.Prefix(m, s.portal), s.portal.PlaceList, m.Option(model.USER_UID), place_uid).Cut(model.CITY_NAME, s.Keys(s.Street, model.NAME), s.Keys(s.Place, model.NAME))
	m.Push(model.QRCODE_TYPE, typ).Action(s.Apply)
}
