package gonganxitong

import "shylinux.com/x/ice"

type userPlace struct{ Table }

func init() { ice.TeamCtxCmd(userPlace{}) }

type UserPlaceRole int

const (
	UserPlaceVisitor UserPlaceRole = iota
	UserPlaceCreator
	UserPlaceLandlord
	UserPlaceTenant
	UserPlaceAdmin
)

var UserPlaceRoleList = map[UserPlaceRole]string{
	UserPlaceVisitor:  "visitor",
	UserPlaceCreator:  "creator",
	UserPlaceLandlord: "landlord",
	UserPlaceTenant:   "tenant",
	UserPlaceAdmin:    "admin",
}

func (s UserPlaceRole) String() string { return UserPlaceRoleList[s] }
